Page MenuHomePhabricator

Create a ganeti VM in eqiad: an-launcher1001
Closed, ResolvedPublic

Description

Hi!

The Analytics team would love to get a new VM to be used to run all the team's jobs/crons/timers/etc.. that are currently running on various stat hosts. The final goal is refactor all the stat boxes' roles into a single one.

We'd need a VM like the following:

dns name: an-launcher1001
vlan: analytics
IP: internal
RAM: 8G
Virtual Cores: 4
Space: 100G (if possible, otherwise even less)
os: Buster

Event Timeline

jijiki triaged this task as Medium priority.Feb 10 2020, 11:50 AM
jijiki added a project: serviceops.
elukey@ganeti1003:~$ sudo gnt-group list
Group Nodes Instances AllocPolicy NDParams
row_A     4        42 preferred   ovs=False, ssh_port=22, ovs_link=, spindle_count=1, exclusive_storage=False, cpu_speed=1, ovs_name=switch1, oob_program=
row_C     4        41 preferred   ovs=False, ssh_port=22, ovs_link=, spindle_count=1, exclusive_storage=False, cpu_speed=1, ovs_name=switch1, oob_program=

Change 571479 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/dns@master] Add an-tool1008 A/AAAA/PTR records

https://gerrit.wikimedia.org/r/571479

elukey changed the task status from Open to Stalled.Feb 19 2020, 7:15 AM

Setting this to stalled since I'd need to figure out exactly how much disk space this host needs.

elukey renamed this task from Create a ganeti VM in eqiad: an-tool1008 to Create a ganeti VM in eqiad: an-launcher1001.Feb 21 2020, 11:19 AM
elukey updated the task description. (Show Details)

Change 571479 merged by Elukey:
[operations/dns@master] Add an-launcher1001 A/AAAA/PTR records

https://gerrit.wikimedia.org/r/571479

elukey changed the task status from Stalled to Open.Feb 21 2020, 3:57 PM
Creating new VM named an-launcher1001.eqiad.wmnet in eqiad with row=C vcpu=4 memory=8 gigabytes disk=100 gigabytes link=analytics
Is this correct?
Type "done" to proceed
> done
Fri Feb 21 15:06:08 2020  - INFO: No-installation mode selected, disabling startup
Fri Feb 21 15:06:13 2020  - INFO: Selected nodes for instance an-launcher1001.eqiad.wmnet via iallocator hail: ganeti1001.eqiad.wmnet, ganeti1002.eqiad.wmnet
Fri Feb 21 15:06:15 2020 * creating instance disks...
Fri Feb 21 15:06:19 2020 adding instance an-launcher1001.eqiad.wmnet to cluster config
Fri Feb 21 15:06:19 2020 adding disks to cluster config
Fri Feb 21 15:06:19 2020  - INFO: Waiting for instance an-launcher1001.eqiad.wmnet to sync disks
Fri Feb 21 15:06:19 2020  - INFO: - device disk/0:  0.10% done, 3h 28m 2s remaining (estimated)
Fri Feb 21 15:07:20 2020  - INFO: - device disk/0:  2.20% done, 45m 24s remaining (estimated)
Fri Feb 21 15:08:20 2020  - INFO: - device disk/0:  4.40% done, 43m 5s remaining (estimated)
Fri Feb 21 15:09:20 2020  - INFO: - device disk/0:  6.50% done, 42m 57s remaining (estimated)
Fri Feb 21 15:10:20 2020  - INFO: - device disk/0:  8.60% done, 40m 30s remaining (estimated)
Fri Feb 21 15:11:20 2020  - INFO: - device disk/0: 10.80% done, 39m 35s remaining (estimated)
Fri Feb 21 15:12:21 2020  - INFO: - device disk/0: 13.10% done, 37m 2s remaining (estimated)
Fri Feb 21 15:13:21 2020  - INFO: - device disk/0: 15.40% done, 36m 7s remaining (estimated)
Fri Feb 21 15:14:21 2020  - INFO: - device disk/0: 17.60% done, 35m 53s remaining (estimated)
Fri Feb 21 15:15:21 2020  - INFO: - device disk/0: 19.80% done, 34m 53s remaining (estimated)
Fri Feb 21 15:16:22 2020  - INFO: - device disk/0: 22.10% done, 33m 54s remaining (estimated)
Fri Feb 21 15:17:22 2020  - INFO: - device disk/0: 24.30% done, 33m 18s remaining (estimated)
Fri Feb 21 15:18:22 2020  - INFO: - device disk/0: 26.60% done, 32m 53s remaining (estimated)
Fri Feb 21 15:19:22 2020  - INFO: - device disk/0: 28.80% done, 30m 12s remaining (estimated)
Fri Feb 21 15:20:22 2020  - INFO: - device disk/0: 31.10% done, 29m 18s remaining (estimated)
Fri Feb 21 15:21:23 2020  - INFO: - device disk/0: 33.30% done, 28m 19s remaining (estimated)
Fri Feb 21 15:22:23 2020  - INFO: - device disk/0: 35.60% done, 27m 45s remaining (estimated)
Fri Feb 21 15:23:23 2020  - INFO: - device disk/0: 37.80% done, 27m 44s remaining (estimated)
Fri Feb 21 15:24:23 2020  - INFO: - device disk/0: 40.10% done, 26m 13s remaining (estimated)
Fri Feb 21 15:25:24 2020  - INFO: - device disk/0: 42.30% done, 25m 27s remaining (estimated)
Fri Feb 21 15:26:24 2020  - INFO: - device disk/0: 44.60% done, 23m 31s remaining (estimated)
Fri Feb 21 15:27:24 2020  - INFO: - device disk/0: 46.80% done, 22m 40s remaining (estimated)
Fri Feb 21 15:28:24 2020  - INFO: - device disk/0: 49.10% done, 21m 52s remaining (estimated)
Fri Feb 21 15:29:25 2020  - INFO: - device disk/0: 51.40% done, 21m 0s remaining (estimated)
Fri Feb 21 15:30:25 2020  - INFO: - device disk/0: 53.60% done, 20m 14s remaining (estimated)
Fri Feb 21 15:31:25 2020  - INFO: - device disk/0: 55.80% done, 19m 36s remaining (estimated)
Fri Feb 21 15:32:25 2020  - INFO: - device disk/0: 58.10% done, 19m 1s remaining (estimated)
Fri Feb 21 15:33:25 2020  - INFO: - device disk/0: 60.30% done, 17m 47s remaining (estimated)
Fri Feb 21 15:34:26 2020  - INFO: - device disk/0: 62.40% done, 19m 22s remaining (estimated)
Fri Feb 21 15:35:26 2020  - INFO: - device disk/0: 64.60% done, 15m 9s remaining (estimated)
Fri Feb 21 15:36:26 2020  - INFO: - device disk/0: 66.80% done, 14m 25s remaining (estimated)
Fri Feb 21 15:37:26 2020  - INFO: - device disk/0: 69.10% done, 13m 27s remaining (estimated)
Fri Feb 21 15:38:27 2020  - INFO: - device disk/0: 71.30% done, 12m 36s remaining (estimated)
Fri Feb 21 15:39:27 2020  - INFO: - device disk/0: 73.60% done, 11m 43s remaining (estimated)
Fri Feb 21 15:40:27 2020  - INFO: - device disk/0: 75.80% done, 10m 46s remaining (estimated)
Fri Feb 21 15:41:27 2020  - INFO: - device disk/0: 78.10% done, 9m 15s remaining (estimated)
Fri Feb 21 15:42:28 2020  - INFO: - device disk/0: 80.30% done, 8m 22s remaining (estimated)
Fri Feb 21 15:43:28 2020  - INFO: - device disk/0: 82.60% done, 7m 28s remaining (estimated)
Fri Feb 21 15:44:28 2020  - INFO: - device disk/0: 84.90% done, 6m 34s remaining (estimated)
Fri Feb 21 15:45:28 2020  - INFO: - device disk/0: 87.10% done, 5m 39s remaining (estimated)
Fri Feb 21 15:46:28 2020  - INFO: - device disk/0: 89.40% done, 4m 42s remaining (estimated)
Fri Feb 21 15:47:29 2020  - INFO: - device disk/0: 91.60% done, 3m 43s remaining (estimated)
Fri Feb 21 15:48:29 2020  - INFO: - device disk/0: 93.90% done, 2m 43s remaining (estimated)
Fri Feb 21 15:49:29 2020  - INFO: - device disk/0: 96.10% done, 1m 40s remaining (estimated)
Fri Feb 21 15:50:29 2020  - INFO: - device disk/0: 98.40% done, 43s remaining (estimated)
Fri Feb 21 15:51:13 2020  - INFO: - device disk/0: 100.00% done, 1s remaining (estimated)
Fri Feb 21 15:51:14 2020  - INFO: - device disk/0: 100.00% done, 0s remaining (estimated)
Fri Feb 21 15:51:14 2020  - INFO: - device disk/0: 100.00% done, 0s remaining (estimated)
Fri Feb 21 15:51:14 2020  - INFO: - device disk/0: 100.00% done, 0s remaining (estimated)
Fri Feb 21 15:51:14 2020  - INFO: - device disk/0: 100.00% done, 0s remaining (estimated)
Fri Feb 21 15:51:15 2020  - INFO: Instance an-launcher1001.eqiad.wmnet's disks are in sync
Fri Feb 21 15:51:15 2020  - INFO: Waiting for instance an-launcher1001.eqiad.wmnet to sync disks
Fri Feb 21 15:51:15 2020  - INFO: Instance an-launcher1001.eqiad.wmnet's disks are in sync
instance an-launcher1001.eqiad.wmnet created with MAC aa:00:00:9c:3b:2b
END (PASS) - Cookbook sre.ganeti.makevm (exit_code=0)

Change 574025 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] Introduce an-launcher1001

https://gerrit.wikimedia.org/r/574025

Change 574025 merged by Elukey:
[operations/puppet@production] Introduce an-launcher1001

https://gerrit.wikimedia.org/r/574025

elukey claimed this task.